[Resolved] JavaScript Error in post-edit.js

Home Support English Support [Resolved] JavaScript Error in post-edit.js

This topic contains 13 replies, has 8 voices, and was last updated by  Debora 1 year, 7 months ago. The support staff assigned to this topic is Konrad Karpieszuk.

Author Posts
Author Posts
March 5, 2014 at 12:29 pm #352573



whenever I edit a post, I get any javascript error in the file


in line 105:


The error message is:

Uncaught TypeError: Object [object Object] has no method 'dialog'

Due to this error, I'm not able to edit posts properly. In fact, it's a showstopper.

How can I fix this?


March 5, 2014 at 3:23 pm #352763

Konrad Karpieszuk
Forum moderator

Dear Michael,

My name is Konrad and I will assist you when we will solve this problem together.

We are aware of this problem, you are second person who found it today. Now we are orking on this and this will be fixed in next release.

To make things faster, could I ask you for your site credentials (wp-admin and FTP)? I will download your site and test it locally.

You will see some special fields for those credentials at forum, see attachment.

Please let me know if you are satisfied with my answer and if I can help you with any other questions you might have

March 5, 2014 at 3:36 pm #352777


Please attached the TEMPORARY access information you required.

You can experience the bug, when you select "Galleries" on the left side (a custom post type), click "All Galleries", edit the "Welcome" gallery and try to perform any javascript action on the page, e. g. click the camera icon.

Please let me know as soon as you do no longer require the access. Thanks.

March 5, 2014 at 3:45 pm #352785

Konrad Karpieszuk
Forum moderator

Could I ask you a favor?

Please add this code to end of functions.php file in theme directory and tell me if it helps:


March 5, 2014 at 4:52 pm #352853


Indeed, this solves the problem. Thanks a lot!

Do you still need the logins I provided you?

Shall I keep the code you provided in the functions.php? Or do you plan to change the implementation somehow?

March 6, 2014 at 7:22 am #353159

Konrad Karpieszuk
Forum moderator


You can remove our access to your site.

I suggest you to move this code from functions.php to sitepress.php file in our plugin /plugins/sitepress-multilingual-cms. When we will fix this, WPML update will overwrite this code and you will have no conflict

March 6, 2014 at 7:27 am #353166


Perfect, thank you! Thanks especially for the quick support!

March 6, 2014 at 7:43 am #353184

Konrad Karpieszuk
Forum moderator

You're welcome :)

March 25, 2014 at 12:33 pm #366651


Hi, I am having a similar problem at my site:

TypeError: postEdit.$connect_translations_dialog.dialog is not a function

in the sitepress-multilingual-cms/res/js/post-edit.js

Would you mind taking a look?


April 17, 2014 at 9:03 am #382431


Perfect, thank you!

April 17, 2014 at 9:03 am #382432


this seems not to be resolved just by adding jquery-ui-dialog.
if you apply the above solution in wp 3.9 , open/close postboxes won't work any more.

April 17, 2014 at 3:26 pm #382845


I have some trouble with WPML and the lollum framework. The developer has sent me the link to this topic over here. His framework seems not to work with the actual WMPL plugin and now I have to deactivate WMPL to edit my content (and activate it afterwards again). Is there a fix for this behavior? My original post here http://lollum.ticksy.com/ticket/198771

April 23, 2014 at 3:26 pm #386183


Same here with WP 3.9 i have this issue to!

April 24, 2014 at 11:10 am #386869


Hi Konrad,

your solution helped me too.
Thanks for the support.

You must be logged in to reply to this topic.

If you are already logged in, please refresh your browser.